org.eclipse.incquery.patternlanguage.emf.scoping

## Class BaseMetamodelProviderService

- java.lang.Object
- - org.eclipse.incquery.patternlanguage.emf.scoping.BaseMetamodelProviderService

- All Implemented Interfaces:
    IMetamodelProvider
  Direct Known Subclasses:
    MetamodelProviderService, ResourceSetMetamodelProviderService

      public abstract class BaseMetamodelProviderService
      extends java.lang.Object
      implements IMetamodelProvider

  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseMetamodelProviderService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.scoping.IScope` | `getAllMetamodelObjects(org.eclipse.xtext.scoping.IScope delegateScope, org.eclipse.emf.ecore.EObject context)` Returns a set of all available EPackages wrapped into `IEObjectDescription` for the use of scoping.
    `java.lang.String` | `getQualifiedClassName(org.eclipse.emf.ecore.EClassifier classifier, org.eclipse.emf.ecore.EObject context)`
    `boolean` | `isGeneratedCodeAvailable(org.eclipse.emf.ecore.EPackage ePackage, org.eclipse.emf.ecore.resource.ResourceSet set)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.emf.scoping.IMetamodelProvider

      `loadEPackage`

- - ### Constructor Detail

    - #### BaseMetamodelProviderService

          public BaseMetamodelProviderService()

  - ### Method Detail

    - #### getAllMetamodelObjects

          public org.eclipse.xtext.scoping.IScope getAllMetamodelObjects(org.eclipse.xtext.scoping.IScope delegateScope,
                                                                         org.eclipse.emf.ecore.EObject context)

      Description copied from interface: `IMetamodelProvider`
      Returns a set of all available EPackages wrapped into `IEObjectDescription` for the use of scoping. It uses the `IEObjectDescription`s from the delegate scope provider too, this way the `EPackage`s from the XText index will be available too.
      Specified by:
        `getAllMetamodelObjects` in interface `IMetamodelProvider`
      Parameters:
        `delegateScope` - the delegate scope
        `context` - the context object for the scoping

    - #### isGeneratedCodeAvailable

          public boolean isGeneratedCodeAvailable(org.eclipse.emf.ecore.EPackage ePackage,
                                                  org.eclipse.emf.ecore.resource.ResourceSet set)

      Specified by:
        `isGeneratedCodeAvailable` in interface `IMetamodelProvider`

    - #### getQualifiedClassName

          public java.lang.String getQualifiedClassName(org.eclipse.emf.ecore.EClassifier classifier,
                                                        org.eclipse.emf.ecore.EObject context)

      Specified by:
        `getQualifiedClassName` in interface `IMetamodelProvider`